#define CXR_VALVE_BIN
#include "cxr.h"

int main(int arc, const char *argv[])
{
   if( cxr_fs_set_gameinfo( 
      "/home/harry/.steam/steam/steamapps/common/"
      "Counter-Strike Global Offensive/csgo/gameinfo.txt" ) )
   {
      valve_model *model_test = valve_load_model("models/props_foliage/urban_tree_giant01.mdl");
      if( model_test )
      {
         cxr_log( "Mesh loaded\n" );
         
         for( int i=0; i<model_test->material_count; i++ )
         {
            cxr_log( " material: %s\n", model_test->materials[i] );
            
            valve_material *material = 
               valve_load_material( model_test->materials[i] );
            
            if( material )
            {
               cxr_log( "  $basetexture: %s\n"
                        "  $bumpmap: %s\n",
                        material->basetexture,
                        material->bumpmap );

               valve_free_material( material );
            }
         }

         valve_free_model( model_test );
      }
      else
         cxr_log( "Mesh failed to load\n" );
   }

   cxr_fs_exit();
   return 0;
}




#if 0
#define CXR_VALVE_MAP_FILE
#define CXR_DEBUG 1
#include "cxr.h"
#include "solid.h"

int main(int arc, const char *argv[])
{
   cxr_vdf *vdo = cxr_vdf_open(
      "/home/harry/Documents/blender_addons_remote/addons/convexer/test.vmf" );

   cxr_vmf_context ctx =
   {
      .brush_count = 0,
      .entity_count = 0,
      .face_count = 0,
      .detailvbsp = "",
      .detailmaterial = "",
      .lightmap_scale = 12,
      .mapversion = 4,
      .offset = { 0.0, 0.0, 0.0 },
      .scale = 32.0,
      .skyname = "vertigoblue"
   };

   cxr_world *world = cxr_decompose( &test_mesh, NULL );
   if( world )
   {
      cxr_push_world_vmf( world, &ctx, vdo );
      cxr_free_world( world );
   }

   cxr_vmf_begin_entities( &ctx, vdo );
   cxr_end_vmf( &ctx, vdo );

   cxr_vdf_close(vdo);
   return 0;
}
#endif
